COLLAPSEEDGES(1)

NAME
collapseEdges - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
collapseEdges [OPTIONS]

DESCRIPTION
Collapses small edges to a point.
Optionally collapse small faces to a point and thin faces to an edge.

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-collapseFaceSet faceSet
    Collapse faces that are in the supplied face set

-collapseFaces
    Collapse small and sliver faces as well as small edges

-constant
    Include the 'constant/' dir in the times list

-decomposeParDict file
    Use specified file for decomposePar dictionary

-dict file
    Use alternative collapseDict

-latestTime
    Select the latest time

-noZero
    Exclude the '0/' dir from the times list

-overwrite
    Overwrite existing mesh/results files

-parallel
    Run in parallel [Parallel option]

-time ranges
    List of ranges. Eg, ':10,20 40:70 1000:', 'none', etc

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-hostRoots ((host1 dir1) .. (hostN dirN))
    Per-host slave root directories for distributed running. The host specification can be a regex. [Parallel option]

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-roots (dir1 .. dirN)
    Slave root directories for distributed running [Parallel option]

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-noFunctionObjects
    This option is ignored

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.